Universal AnnouncementsEverywhere | 1.13.x - 1.14.x | 3.8.4.1

Better than anyone!

  1. No, but if you want you can download the plugin at a server hosted in your pc and see how it would be.
     
  2. IvanPekov95 updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.2.0] Book announcements & more

    Read the rest of this update entry...
     
  3. IvanPekov95 updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.3.0] New things

    Read the rest of this update entry...
     
  4. lang: On Chinese Translation
    zh_CN

    Code (Text):
    #=====================================
    #汉化者: Ray_Hughes
    #QQ:1523165110
    #=====================================
    no-permissions: "&4您的权限不足!"
    ae-usage: "&c命令格式: /ae send <actionbar/title/bossbar/book/broadcast> <message>"
    send-successful: "&a成功发送公告!"
    reload-message: "&a插件重新加载成功!"
    broadcast-format: "&6公告 &7» &a%message%"
    preannouncement:
      usage: "&c使用方式: /preannouncement <name of announcement>"
      not-found: "&6[&4 ! &6]:&c错误: 找不到应有的预制公告"
      success-send: "&a已成功发送预告公告"
     
  5. Thanks! Next update will be added
     
  6. IvanPekov95 updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.4.0] Prepared for 1.14 & more

    Read the rest of this update entry...
     
  7. Thats a good idea, but they won't see the other announcements. I could make a permissionable auto broadcasts for the bossbar, chat and actionbar, ex
    Code (Text):
    - "This is some announcement;this.is.my.permission"
    I am not gonna do a command, if you want to disable x auto announcer, you can do it in the config.
    If you want the idea i suggested, you can reply to this message.
     
  8. I mean't they could disable announcements ONLY for them. The rest of the server would still receive them. Is that even possible? I've seen a select few other servers with this feature.
     
  9. Yes, it is, but why you want they disable all of the announcements? Why just not a specific ones?
     
  10. IvanPekov95 updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.5.0] Sounds for bungeecord & more!

    Read the rest of this update entry...
     
  11. Hi
    (Spigot 1.13.2)
    I have just updated to the newest version 3.5.0 and got this error in my server console:

    [Server thread/ERROR]: Could not load 'plugins/AnnouncementsEverywhere-3.5.0.jar' in folder 'plugins' org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:155) ~[spigot-1.13.2-2071.jar:git-Spigot-f56e2e7-ad6070d]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot-1.13.2-2071.jar:git-Spigot-f56e2e7-ad6070d]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:325) [spigot-1.13.2-2071.jar:git-Spigot-f56e2e7-ad6070d]
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:213) [spigot-1.13.2-2071.jar:git-Spigot-f56e2e7-ad6070d]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot-1.13.2-2071.jar:git-Spigot-f56e2e7-ad6070d]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_131]
    Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
    ... 6 more

    I have changed back to 3.4.0 at the moment.
     
  12. You have a problem with your Spigot/Paper. Please update it to the latest version.
     
  13. Thanks. Spigot updated and error gone.
    I had already updated Spigot when I updated this plugin but I didn't realize Spigot had released another update again after!
     
    #94 Virologicbody, Feb 2, 2019
    Last edited: Feb 2, 2019
  14. MrIvanPlays updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.6.0] Very big changes to bungeecord

    Read the rest of this update entry...
     
  15. MrIvanPlays updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.7.0] ProxyMC and more

    Read the rest of this update entry...
     
  16. Messages in Spanish

    Change txt to yml [I had to do it because it wouldn't let me upload it]
     

    Attached Files:

  17. MrIvanPlays updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.7.1] Important changes

    Read the rest of this update entry...
     
  18. Hey man I'm loving the plugin so far and I have no issues whatsoever :) To anyone else reading this I highly recommend you choose AnnouncementsEverywhere!

    However, I keep getting this error in console but I'm not sure what it is from. It's probably something on my end that I messed up I'm just not quite sure how to fix this! Any advice would be appreciated thank you :) Sorry I posted this here I wasn't sure if this was the correct place or not, I just couldn't find a link to report issues etc, maybe I'm just blind and missed it!

    [04:49:52] [Server thread/WARN]: [AnnouncementsEverywhere] Task #34 for AnnouncementsEverywhere v3.7.1 generated an exception
    com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 28 path $
    at com.google.gson.JsonParser.parse(JsonParser.java:65) ~[spigot.jar:git-Paper-572]
    at com.google.gson.JsonParser.parse(JsonParser.java:45) ~[spigot.jar:git-Paper-572]
    at net.md_5.bungee.chat.ComponentSerializer.parse(ComponentSerializer.java:38) ~[spigot.jar:git-Paper-572]
    at com.github.mrivanplays.announcements.bukkit.autoannouncer.chat.ChatAnnouncementsTask.run(ChatAnnouncementsTask.java:73) ~[?:?]
    at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftTask.run(CraftTask.java:82) ~[spigot.jar:git-Paper-572]
    at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:449) ~[spigot.jar:git-Paper-572]
    at net.minecraft.server.v1_13_R2.MinecraftServer.b(MinecraftServer.java:1003) ~[spigot.jar:git-Paper-572]
    at net.minecraft.server.v1_13_R2.DedicatedServer.b(DedicatedServer.java:439) ~[spigot.jar:git-Paper-572]
    at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:938) ~[spigot.jar:git-Paper-572]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:836) ~[spigot.jar:git-Paper-572]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_91]
    Caused by: com.google.gson.stream.MalformedJsonException: Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 28 path $
    at com.google.gson.stream.JsonReader.syntaxError(JsonReader.java:1559) ~[spigot.jar:git-Paper-572]
    at com.google.gson.stream.JsonReader.checkLenient(JsonReader.java:1401) ~[spigot.jar:git-Paper-572]
    at com.google.gson.stream.JsonReader.doPeek(JsonReader.java:542) ~[spigot.jar:git-Paper-572]
    at com.google.gson.stream.JsonReader.peek(JsonReader.java:425) ~[spigot.jar:git-Paper-572]
    at com.google.gson.JsonParser.parse(JsonParser.java:60) ~[spigot.jar:git-Paper-572]
     
  19. MrIvanPlays updated AnnouncementsEverywhere | 1.9 - 1.13.2 | with a new update entry:

    [3.7.2] Bugfixes

    Read the rest of this update entry...
     

Share This Page